CREATE TABLE fa_mc_bc_29056461 (
    SET_OF_BOOKS_ID              NUMBER(18, 0)    NOT NULL,
    BOOK_TYPE_CODE               VARCHAR2(120)    NOT NULL,
    CURRENCY_CODE                VARCHAR2(60)     NOT NULL,
    DEPRN_STATUS                 VARCHAR2(4)  ,
    DEPRN_REQUEST_ID             NUMBER(18, 0),
    LAST_PERIOD_COUNTER          NUMBER(18, 0)    NOT NULL,
    LAST_DEPRN_RUN_DATE          DATE             NOT NULL,
    CURRENT_FISCAL_YEAR          NUMBER(4, 0)     NOT NULL,
    RETIRED_STATUS               VARCHAR2(4)      NOT NULL,
    RETIRED_REQUEST_ID           NUMBER(18, 0)    NOT NULL,
    PRIMARY_SET_OF_BOOKS_ID      NUMBER(18, 0)    NOT NULL,
    PRIMARY_CURRENCY_CODE        VARCHAR2(60)     NOT NULL,
    SOURCE_RETIRED_STATUS        VARCHAR2(4)      NOT NULL,
    SOURCE_RETIRED_REQUEST_ID    NUMBER(18, 0)    NOT NULL,
    MRC_CONVERTED_FLAG           VARCHAR2(4)      NOT NULL,
    ENABLED_FLAG                 VARCHAR2(4)      NOT NULL,
    NBV_AMOUNT_THRESHOLD         NUMBER       ,
    CONVERSION_STATUS            VARCHAR2(4)  ,
    MASS_REQUEST_ID              NUMBER(18, 0),
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    GL_POSTING_ALLOWED_FLAG      VARCHAR2(12) ,
    PROCESS_FLAG                 CHAR(1)      ,
    ROW_ID                       ROWID        ,
    SET_OF_BOOKS_ID              NUMBER(18, 0)    NOT NULL,
    BOOK_TYPE_CODE               VARCHAR2(120)    NOT NULL,
    CURRENCY_CODE                VARCHAR2(60)     NOT NULL,
    DEPRN_STATUS                 VARCHAR2(4)  ,
    DEPRN_REQUEST_ID             NUMBER(18, 0),
    LAST_PERIOD_COUNTER          NUMBER(18, 0)    NOT NULL,
    LAST_DEPRN_RUN_DATE          DATE             NOT NULL,
    CURRENT_FISCAL_YEAR          NUMBER(4, 0)     NOT NULL,
    RETIRED_STATUS               VARCHAR2(4)      NOT NULL,
    RETIRED_REQUEST_ID           NUMBER(18, 0)    NOT NULL,
    PRIMARY_SET_OF_BOOKS_ID      NUMBER(18, 0)    NOT NULL,
    PRIMARY_CURRENCY_CODE        VARCHAR2(60)     NOT NULL,
    SOURCE_RETIRED_STATUS        VARCHAR2(4)      NOT NULL,
    SOURCE_RETIRED_REQUEST_ID    NUMBER(18, 0)    NOT NULL,
    MRC_CONVERTED_FLAG           VARCHAR2(4)      NOT NULL,
    ENABLED_FLAG                 VARCHAR2(4)      NOT NULL,
    NBV_AMOUNT_THRESHOLD         NUMBER       ,
    CONVERSION_STATUS            VARCHAR2(4)  ,
    MASS_REQUEST_ID              NUMBER(18, 0),
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    GL_POSTING_ALLOWED_FLAG      VARCHAR2(12) ,
    PROCESS_FLAG                 CHAR(1)      ,
    ROW_ID                       ROWID        
);
